import routes from "@/routes";

export enum EProductKeys {
  "chat.aura" = "chat.aura",
  "moons.pdf.aura" = "moons.pdf.aura",
  "palmistry.aura" = "palmistry.aura",
  "default" = "default",
}

interface IProductUrls {
  [key: string]: string;
}

export const productUrls: IProductUrls = {
  "chat.aura": routes.client.advisorChatPrivate(
    "asst_WWkAlT4Ovs6gKRy6VEn9LqNS"
  ),
  "moons.pdf.aura": routes.client.epeSuccessPayment(),
};

interface IPaymentResultPathsOfProducts {
  [key: string]: IPaymentResultPathsOfProduct;
}

interface IPaymentResultPathsOfProduct {
  success: string;
  fail: string;
}

export const paymentResultPathsOfProducts: IPaymentResultPathsOfProducts = {
  "moons.pdf.aura": {
    success: routes.client.epeSuccessPayment(),
    fail: routes.client.epeFailPayment(),
  },
  "chat.aura": {
    success: routes.client.advisorChatSuccessPayment(),
    fail: routes.client.advisorChatFailPayment(),
  },
  default: {
    success: routes.client.paymentSuccess(),
    fail: routes.client.paymentFail(),
  },
};
